Bug 735938 - gimptool-2.0 wants to install .scm scripts to wrong directory
Summary: gimptool-2.0 wants to install .scm scripts to wrong directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gimp
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: alpha
: 6.3
Assignee: Josef Ridky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 08:24 UTC by David Jaša
Modified: 2017-01-03 09:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 09:31:20 UTC


Attachments (Terms of Use)

Description David Jaša 2011-09-06 08:24:26 UTC
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
gimp-devel-tools-2.6.9-4.el6_1.1.x86_64

How reproducible:
always

Steps to Reproduce:
1. run 'gimptool-2.0 -n --install-admin-script /path/to/script.scm'
2.
3.
  
Actual results:
gimptool returns:
cp /path/to/script.scm /usr/share/gimp/2.6/scripts

                                       ^^^

Expected results:
destination directory is the same as that of pre-installed scripts:
$ rpm -ql gimp |grep 'scm$' | sed -e 's/\/[^/]\+$//' |uniq
/usr/share/gimp/2.0/scripts

                ^^^

Additional info:
Breaks packages or external programs that rely on gimptool for script installation.
Might be related to bug #735806.

Comment 3 RHEL Product and Program Management 2012-07-10 06:28:44 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2012-07-10 23:16:58 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 7 RHEL Product and Program Management 2013-10-14 05:14:35 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.